## chasquid 0.01+git20161124.6479138

=== Makefile ===

ifndef VERSION
    VERSION = `git describe --always --long --dirty`
endif

# https://wiki.debian.org/ReproducibleBuilds/TimestampsProposal
ifndef SOURCE_DATE_EPOCH
    SOURCE_DATE_EPOCH = `git log -1 --format=%ct`
endif


default: chasquid

all: chasquid chasquid-util smtp-check spf-check


chasquid:
	go build -ldflags="\
		-X main.version=${VERSION} \
		-X main.sourceDateTs=${SOURCE_DATE_EPOCH} \
		" ${GOFLAGS}


chasquid-util:
	go build ${GOFLAGS} ./cmd/chasquid-util/

smtp-check:
	go build ${GOFLAGS} ./cmd/smtp-check/

spf-check:
	go build ${GOFLAGS} ./cmd/spf-check/


test:
	go test ${GOFLAGS} ./...
	setsid -w ./test/run.sh
	setsid -w ./cmd/chasquid-util/test.sh


install-binaries: chasquid chasquid-util smtp-check
	mkdir -p /usr/local/bin/
	cp -a chasquid chasquid-util smtp-check /usr/local/bin/

install-config-skeleton:
	if ! [ -d /etc/chasquid ] ; then cp -arv etc / ; fi
	
	if ! [ -d /var/lib/chasquid ]; then \
		mkdir -v /var/lib/chasquid; \
		chmod -v 0700 /var/lib/chasquid ; \
		chown -v mail:mail /var/lib/chasquid ; \
	fi


.PHONY: chasquid chasquid-util smtp-check spf-check test

=== debian/changelog ===
chasquid (0.01+git20161124.6479138-2) unstable; urgency=medium

  * Add missing license info for file copied from golang sources.

 -- Martín Ferrari <tincho@debian.org>  Wed, 30 Nov 2016 10:14:06 +0000

chasquid (0.01+git20161124.6479138-1) unstable; urgency=medium

  [ Alberto Bertogli ]
  * Initial package. Closes: #845336

  [ Martín Ferrari ]
  * Packaging improvements.

 -- Martín Ferrari <tincho@debian.org>  Tue, 29 Nov 2016 09:33:07 +0100

=== debian/control ===
Source: chasquid
Section: mail
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-docopt-docopt-go-dev,
               golang-goprotobuf-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-text-dev,
Standards-Version: 3.9.8
Homepage: https://blitiri.com.ar/p/chasquid
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/chasquid.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/chasquid.git
XS-Go-Import-Path: blitiri.com.ar/go/chasquid

Package: chasquid
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: simple SMTP (email) server written in go
 chasquid is an SMTP (email) server. It aims to be easy to configure and
 maintain for a small mail server, at the expense of flexibility and
 functionality.
 .
 It's written in Go, and is open source under the Apache license 2.0.
 .
 It is currently in beta: it's functional and has had some production exposure,
 but some things may still change in backwards-incompatible ways, including the
 configuration format. It should be rare and will be avoided if possible.

=== debian/rules ===
#!/usr/bin/make -f

# Don't install the t-03-queue_persistency binary, this is just for testing
# and appears because of how Debian autodetects the available binaries.
export DH_GOLANG_EXCLUDES := t-03-queue_persistency cmd/spf-check

DEBVERS    ?= $(shell dpkg-parsechangelog -SVersion)
DEBDATE    ?= $(shell dpkg-parsechangelog -SDate)
BUILD_DATE := $(shell date --utc --date='$(DEBDATE)' +%s)

BUILDFLAGS := -ldflags \
    " -X main.version=$(DEBVERS) \
      -X main.sourceDateTs=$(BUILD_DATE)"

%:
	dh $@ --with=systemd --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

# No need to install the source files, this is a binary package.
override_dh_auto_install:
	dh_auto_install -- --no-source

# Enable both the service and the sockets (by default only the service will be
# enabled, and that's not enough for our case).
# This is based on openssh's package.
override_dh_systemd_enable:
	dh_systemd_enable --name chasquid chasquid.service
	dh_systemd_enable --name chasquid --no-enable chasquid-smtp.socket
	dh_systemd_enable --name chasquid --no-enable \
            chasquid-submission.socket

## chasquid 0.03+git20170716.6867859

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 default: chasquid
 
-all: chasquid chasquid-util smtp-check spf-check
+all: chasquid chasquid-util smtp-check spf-check mda-lmtp
 
 
 chasquid:
@@ -30,16 +30,19 @@
 spf-check:
 	go build ${GOFLAGS} ./cmd/spf-check/
 
+mda-lmtp:
+	go build ${GOFLAGS} ./cmd/mda-lmtp/
 
 test:
 	go test ${GOFLAGS} ./...
 	setsid -w ./test/run.sh
 	setsid -w ./cmd/chasquid-util/test.sh
+	setsid -w ./cmd/mda-lmtp/test.sh
 
 
-install-binaries: chasquid chasquid-util smtp-check
+install-binaries: chasquid chasquid-util smtp-check mda-lmtp
 	mkdir -p /usr/local/bin/
-	cp -a chasquid chasquid-util smtp-check /usr/local/bin/
+	cp -a chasquid chasquid-util smtp-check mda-lmtp /usr/local/bin/
 
 install-config-skeleton:
 	if ! [ -d /etc/chasquid ] ; then cp -arv etc / ; fi
@@ -51,4 +54,4 @@
 	fi
 
 
-.PHONY: chasquid chasquid-util smtp-check spf-check test
+.PHONY: chasquid chasquid-util smtp-check spf-check mda-lmtp test

=== debian/changelog ===
chasquid (0.03+git20170716.6867859-1) unstable; urgency=medium

  * New upstream release.
  * Update gbp.conf to match the structure of the repository.
  * Add new submission-over-TLS socket to systemd.
  * Add me as uploader, as per Tincho's recommendation.
  * Standards-Version: 4.0.0 (only minor adjustments).
  * Add autopkgtest-pkg-go for CI integration.
  * Clarify comment about binaries excluded from build/test.

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sun, 16 Jul 2017 13:43:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: mail
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>
+Uploaders: Martín Ferrari <tincho@debian.org>,
+           Alberto Bertogli <albertito@blitiri.com.ar>
 Build-Depends: debhelper (>= 10),
                dh-golang (>= 1.17~),
                golang-any,
@@ -11,11 +12,12 @@
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://blitiri.com.ar/p/chasquid
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/chasquid.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/chasquid.git
 XS-Go-Import-Path: blitiri.com.ar/go/chasquid
+Testsuite: autopkgtest-pkg-go
 
 Package: chasquid
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
-# Don't install the t-03-queue_persistency binary, this is just for testing
-# and appears because of how Debian autodetects the available binaries.
+# - t-03-queue_persistency is an artifact of dh_golang: there's a .go file with
+#   a main in that directory which is used for integration tests, and should
+#   not be included or built as part of the Debian package.
+# - spf-check is an internal binary useful for development but not suited for
+#   production use.
 export DH_GOLANG_EXCLUDES := t-03-queue_persistency cmd/spf-check
 
 DEBVERS    ?= $(shell dpkg-parsechangelog -SVersion)
@@ -30,3 +33,5 @@
 	dh_systemd_enable --name chasquid --no-enable chasquid-smtp.socket
 	dh_systemd_enable --name chasquid --no-enable \
             chasquid-submission.socket
+	dh_systemd_enable --name chasquid --no-enable \
+            chasquid-submission_tls.socket

## chasquid 0.04

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 default: chasquid
 
-all: chasquid chasquid-util smtp-check spf-check mda-lmtp
+all: chasquid chasquid-util smtp-check spf-check mda-lmtp dovecot-auth-cli
 
 
 chasquid:
@@ -33,11 +33,15 @@
 mda-lmtp:
 	go build ${GOFLAGS} ./cmd/mda-lmtp/
 
+dovecot-auth-cli:
+	go build ${GOFLAGS} ./cmd/dovecot-auth-cli/
+
 test:
 	go test ${GOFLAGS} ./...
 	setsid -w ./test/run.sh
 	setsid -w ./cmd/chasquid-util/test.sh
 	setsid -w ./cmd/mda-lmtp/test.sh
+	setsid -w ./cmd/dovecot-auth-cli/test.sh
 
 
 install-binaries: chasquid chasquid-util smtp-check mda-lmtp
@@ -54,4 +58,5 @@
 	fi
 
 
-.PHONY: chasquid chasquid-util smtp-check spf-check mda-lmtp test
+.PHONY: chasquid test \
+	chasquid-util smtp-check spf-check mda-lmtp dovecot-auth-cli

=== debian/changelog ===
chasquid (0.04-1) unstable; urgency=medium

  [ Alberto Bertogli ]
  * New upstream release.
  * Ignore dovecot-auth-cli (internal binary not useful for production).
  * Add new dependencies for the packages that were split off.
  * Standards-Version: 4.1.3 (no adjustments needed).
  * Update compat and debhelper (to 11)
  * gbp.conf: No longer generate pristine-tar
  * debian/rules: Use pkg-info.mk
  * debian/control: Use "optional" priority
  * debian/postint: Do not use recursive chown
  * debian/patches: Add description to 0001-Use_chasquid_user.patch
  * debian/rules: Use dh_installsystemd
  * debian/rules: UPGRADING.md as upstream changelog
  * Add a debian/watch file

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 Feb 2018 11:10:36 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# - t-03-queue_persistency is an artifact of dh_golang: there's a .go file with
#   a main in that directory which is used for integration tests, and should
#   not be included or built as part of the Debian package.
# - spf-check and cmd/dovecot-auth-cli are internal binaries useful for
#   development but not suited for production use.
export DH_GOLANG_EXCLUDES := t-03-queue_persistency \
	cmd/spf-check cmd/dovecot-auth-cli

BUILDFLAGS := -ldflags \
    " -X main.version=$(DEB_VERSION) \
      -X main.sourceDateTs=$(SOURCE_DATE_EPOCH)"

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

# No need to install the source files, this is a binary package.
override_dh_auto_install:
	dh_auto_install -- --no-source

# Enable both the service and the sockets (by default only the service will be
# enabled, and that's not enough for our case).
# This is based on openssh's package.
override_dh_installsystemd:
	dh_installsystemd --name chasquid chasquid.service
	dh_installsystemd --name chasquid --no-enable chasquid-smtp.socket
	dh_installsystemd --name chasquid --no-enable \
            chasquid-submission.socket
	dh_installsystemd --name chasquid --no-enable \
            chasquid-submission_tls.socket

override_dh_installchangelogs:
	dh_installchangelogs UPGRADING.md

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/chasquid-$1\.tar\.gz/ \
  https://github.com/albertito/chasquid/tags .*/v?(\d\S+)\.tar\.gz

## chasquid 0.04+git20180302.0ae5798

=== debian/changelog ===
chasquid (0.04+git20180302.0ae5798-1) unstable; urgency=medium

  * Upstream fix: Support dovecot-side username changes

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Fri, 02 Mar 2018 19:25:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: chasquid
 Section: mail
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Alberto Bertogli <albertito@blitiri.com.ar>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.17~),
                golang-any,
+               golang-blitiri-go-log-dev,
+               golang-blitiri-go-spf-dev,
+               golang-blitiri-go-systemd-dev,
                golang-github-docopt-docopt-go-dev,
-               golang-goprotobuf-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
-Standards-Version: 4.0.0
+               golang-goprotobuf-dev,
+Standards-Version: 4.1.3
 Homepage: https://blitiri.com.ar/p/chasquid
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/chasquid.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/chasquid.git

## chasquid 0.05

=== debian/changelog ===
chasquid (0.05-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Alberto Bertogli ]
  * New upstream release.
  * Add new manpages
  * Standards-Version: 4.1.4 (no adjustments needed).
  * Update description to match upstream
  * Add documentation reference to systemd's service file

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Tue, 05 Jun 2018 01:51:33 +0100

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
                golang-goprotobuf-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://blitiri.com.ar/p/chasquid
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/chasquid.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/chasquid.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/chasquid
+Vcs-Git: https://salsa.debian.org/go-team/packages/chasquid.git
 XS-Go-Import-Path: blitiri.com.ar/go/chasquid
 Testsuite: autopkgtest-pkg-go
 
@@ -28,9 +28,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: simple SMTP (email) server written in go
- chasquid is an SMTP (email) server. It aims to be easy to configure and
- maintain for a small mail server, at the expense of flexibility and
- functionality.
+ chasquid is an SMTP (email) server with a focus on simplicity, security, and
+ ease of operation.
  .
  It's written in Go, and is open source under the Apache license 2.0.
  .

## chasquid 0.06

=== debian/changelog ===
chasquid (0.06-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.1.5 (no changes)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sun, 22 Jul 2018 12:10:39 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
                golang-goprotobuf-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://blitiri.com.ar/p/chasquid
 Vcs-Browser: https://salsa.debian.org/go-team/packages/chasquid
 Vcs-Git: https://salsa.debian.org/go-team/packages/chasquid.git

## chasquid 0.07

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,7 @@
 test:
 	go test ${GOFLAGS} ./...
 	setsid -w ./test/run.sh
+	setsid -w ./test/stress.sh
 	setsid -w ./cmd/chasquid-util/test.sh
 	setsid -w ./cmd/mda-lmtp/test.sh
 	setsid -w ./cmd/dovecot-auth-cli/test.sh

=== debian/changelog ===
chasquid (0.07-1) unstable; urgency=medium

  * New upstream release (0.07)
  * Update Standards-Version to 4.3.0 (no changes)
  * Update compat and debhelper (to 12)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sat, 19 Jan 2019 02:10:32 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Alberto Bertogli <albertito@blitiri.com.ar>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dh-golang (>= 1.17~),
                golang-any,
                golang-blitiri-go-log-dev,
@@ -15,7 +15,7 @@
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
                golang-goprotobuf-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://blitiri.com.ar/p/chasquid
 Vcs-Browser: https://salsa.debian.org/go-team/packages/chasquid
 Vcs-Git: https://salsa.debian.org/go-team/packages/chasquid.git

=== debian/rules ===
--- 
+++ 
@@ -37,3 +37,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs UPGRADING.md
+
+# Don't run dh_dwz, which does not work on Go binaries (for now).
+override_dh_dwz:

## chasquid 1.00

=== debian/changelog ===
chasquid (1.00-1) unstable; urgency=medium

  * New upstream release (1.00)
  * Update Standards-Version to 4.4.0 (no changes)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Mon, 05 Aug 2019 15:51:34 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
                golang-goprotobuf-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://blitiri.com.ar/p/chasquid
 Vcs-Browser: https://salsa.debian.org/go-team/packages/chasquid
 Vcs-Git: https://salsa.debian.org/go-team/packages/chasquid.git

## chasquid 1.1

=== debian/changelog ===
chasquid (1.1-1) unstable; urgency=medium

  * Fix docs install
  * New upstream release (1.1)
  * Depends on golang-blitiri-go-spf-dev >= 0.0+git20191018.0.a683815
  * Changelogs have moved to docs/upgrading.md
  * Standards-Version: 4.4.1 (no changes)
  * Fix install of docs that are symlinks

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sat, 26 Oct 2019 17:53:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,17 @@
             chasquid-submission_tls.socket
 
 override_dh_installchangelogs:
-	dh_installchangelogs UPGRADING.md
+	dh_installchangelogs docs/upgrading.md
+
+override_dh_installdocs:
+	# Some entries in docs/ are symlinks; replace them with copies so
+	# dh_installdocs doesn't leave dangling links.
+	cp -r docs/ .tmpdocs/
+	cp README.md .tmpdocs/
+	( cd .tmpdocs/; for f in `find . -type l`; do \
+		cp --remove-destination `readlink $$f` $$f; done )
+	dh_installdocs .tmpdocs/*
+	rm -r .tmpdocs/
 
 # Don't run dh_dwz, which does not work on Go binaries (for now).
 override_dh_dwz:

## chasquid 1.2

=== debian/changelog ===
chasquid (1.2-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 00:17:29 +0200

chasquid (1.2-1) unstable; urgency=medium

  * New upstream release (1.2)
  * Changelogs are now at relnotes.md

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Fri, 06 Dec 2019 16:22:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: chasquid
 Section: mail
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Alberto Bertogli <albertito@blitiri.com.ar>
 Build-Depends: debhelper (>= 12),
                dh-golang (>= 1.17~),
                golang-any,
                golang-blitiri-go-log-dev,
-               golang-blitiri-go-spf-dev,
+               golang-blitiri-go-spf-dev (>= 0.0+git20191018.0.a683815),
                golang-blitiri-go-systemd-dev,
                golang-github-docopt-docopt-go-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
                golang-goprotobuf-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://blitiri.com.ar/p/chasquid
 Vcs-Browser: https://salsa.debian.org/go-team/packages/chasquid
 Vcs-Git: https://salsa.debian.org/go-team/packages/chasquid.git

## chasquid 1.3

=== debian/changelog ===
chasquid (1.3-1) unstable; urgency=medium

  * New upstream release (1.3)
  * Standards-Version: 4.5.0 (no changes)
  * Move debhelper-compat to Build-Depends

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sun, 12 Apr 2020 23:40:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: chasquid
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Alberto Bertogli <albertito@blitiri.com.ar>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper (>= 12~),
+               debhelper-compat (= 12),
                dh-golang (>= 1.17~),
                golang-any,
                golang-blitiri-go-log-dev,
@@ -16,7 +16,7 @@
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
                golang-goprotobuf-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://blitiri.com.ar/p/chasquid
 Vcs-Browser: https://salsa.debian.org/go-team/packages/chasquid

## chasquid 1.5

=== debian/changelog ===
chasquid (1.5-1) unstable; urgency=medium

  * New upstream release (1.4)
  * New upstream release (1.5)
  * patch: Remove references to the old protobuf library
  * debian/control: Update dependency versions
  * patch: Use docopt.Parse to temporarily work around old docopt package
  * Add build-dep on golang-github-google-go-cmp-dev
  * debhelper: Update to 13, since 12 is now considered old
  * lintian: Rename source-contains-unsafe-symlink

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sun, 13 Sep 2020 12:39:42 +0100

## chasquid 1.6

=== debian/changelog ===
chasquid (1.6-1) unstable; urgency=medium

  * New upstream release (1.6)
  * patch: Ignore fexp binary

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sun, 22 Nov 2020 12:02:49 +0000

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Alberto Bertogli <albertito@blitiri.com.ar>
-Build-Depends: debhelper (>= 12~),
-               debhelper-compat (= 12),
+Build-Depends: debhelper (>= 13~),
+               debhelper-compat (= 13),
                dh-golang (>= 1.17~),
                golang-any,
-               golang-blitiri-go-log-dev,
-               golang-blitiri-go-spf-dev (>= 0.0+git20191018.0.a683815),
-               golang-blitiri-go-systemd-dev,
+               golang-blitiri-go-log-dev (>= 1.1.0),
+               golang-blitiri-go-spf-dev (>= 1.1.0),
+               golang-blitiri-go-systemd-dev (>= 1.1.0),
                golang-github-docopt-docopt-go-dev,
+	       golang-github-google-go-cmp-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
-               golang-goprotobuf-dev,
+               golang-google-protobuf-dev,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://blitiri.com.ar/p/chasquid

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
             chasquid-submission_tls.socket
 
 override_dh_installchangelogs:
-	dh_installchangelogs docs/upgrading.md
+	dh_installchangelogs docs/relnotes.md
 
 override_dh_installdocs:
 	# Some entries in docs/ are symlinks; replace them with copies so

## chasquid 1.8

=== debian/changelog ===
chasquid (1.8-1ubuntu0.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 18:13:39 +0000

chasquid (1.8-1ubuntu0.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 28 Apr 2023 13:46:14 +0530

chasquid (1.8-1ubuntu0.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 24 Jan 2023 18:41:13 +0100

chasquid (1.8-1) unstable; urgency=medium

  * New upstream release (1.8)
  * patch: Remove workaround for protobuf library
  * Remove dependency on docopt
  * patch: Remove fexp build-ignore workaround
  * Standards-Version: 4.6.0 (no changes)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Fri, 10 Sep 2021 10:55:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: chasquid
 Section: mail
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Alberto Bertogli <albertito@blitiri.com.ar>
 Build-Depends: debhelper (>= 13~),
@@ -11,13 +12,12 @@
                golang-blitiri-go-log-dev (>= 1.1.0),
                golang-blitiri-go-spf-dev (>= 1.1.0),
                golang-blitiri-go-systemd-dev (>= 1.1.0),
-               golang-github-docopt-docopt-go-dev,
 	       golang-github-google-go-cmp-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
                golang-google-protobuf-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://blitiri.com.ar/p/chasquid
 Vcs-Browser: https://salsa.debian.org/go-team/packages/chasquid

## chasquid 1.9

=== debian/changelog ===
chasquid (1.9-1ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 10 Feb 2023 09:05:34 +0100

chasquid (1.9-1) unstable; urgency=medium

  [ Alberto Bertogli ]
  * New upstream release (1.9)
  * Update golang-blitiri-go-spf-dev dependency version

  [ Shengjing Zhu ]
  * Update maintainer address to team+pkg-go@tracker.debian.org

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sun, 06 Mar 2022 00:18:46 +0000

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: mail
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>,
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Martina Ferrari <tina@debian.org>,
            Alberto Bertogli <albertito@blitiri.com.ar>
 Build-Depends: debhelper (>= 13~),
                debhelper-compat (= 13),
                dh-golang (>= 1.17~),
                golang-any,
                golang-blitiri-go-log-dev (>= 1.1.0),
-               golang-blitiri-go-spf-dev (>= 1.1.0),
+               golang-blitiri-go-spf-dev (>= 1.3.0),
                golang-blitiri-go-systemd-dev (>= 1.1.0),
-	       golang-github-google-go-cmp-dev,
+               golang-github-google-go-cmp-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,

## chasquid 1.10

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 default: chasquid
 
-all: chasquid chasquid-util smtp-check spf-check mda-lmtp dovecot-auth-cli
+all: chasquid chasquid-util smtp-check mda-lmtp dovecot-auth-cli
 
 
 chasquid:
@@ -26,9 +26,6 @@
 
 smtp-check:
 	go build ${GOFLAGS} ./cmd/smtp-check/
-
-spf-check:
-	go build ${GOFLAGS} ./cmd/spf-check/
 
 mda-lmtp:
 	go build ${GOFLAGS} ./cmd/mda-lmtp/
@@ -60,4 +57,4 @@
 
 
 .PHONY: chasquid test \
-	chasquid-util smtp-check spf-check mda-lmtp dovecot-auth-cli
+	chasquid-util smtp-check mda-lmtp dovecot-auth-cli

=== debian/changelog ===
chasquid (1.10-1) unstable; urgency=medium

  * New upstream release (1.10)
  * Update DH_GOLANG_EXCLUDES to exclude testing binaries
  * debian/patches/0001-Use_chasquid_user.patch: Update offsets
  * Standards-Version: 4.6.1 (no changes)
  * debian/control: Update description to match upstream documentation
  * debian/watch: Update to use upstream's git
  * debian/copyright: Remove unnecessary entry
  * debian/rules: Make changelog a symlink to relnotes
  * debian/source/lintian-overrides: Fix mismatched override

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sun, 04 Sep 2022 18:20:02 +0530

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: chasquid
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Alberto Bertogli <albertito@blitiri.com.ar>
 Build-Depends: debhelper (>= 13~),
@@ -17,7 +16,7 @@
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
                golang-google-protobuf-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://blitiri.com.ar/p/chasquid
 Vcs-Browser: https://salsa.debian.org/go-team/packages/chasquid
@@ -34,8 +33,8 @@
  chasquid is an SMTP (email) server with a focus on simplicity, security, and
  ease of operation.
  .
+ It sends and receives email as a typical MTA (for example, can be used instead
+ of Postfix or Exim), and it is designed mainly for individuals and small
+ groups.
+ .
  It's written in Go, and is open source under the Apache license 2.0.
- .
- It is currently in beta: it's functional and has had some production exposure,
- but some things may still change in backwards-incompatible ways, including the
- configuration format. It should be rare and will be avoided if possible.

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,13 @@
 # - t-03-queue_persistency is an artifact of dh_golang: there's a .go file with
 #   a main in that directory which is used for integration tests, and should
 #   not be included or built as part of the Debian package.
-# - spf-check and cmd/dovecot-auth-cli are internal binaries useful for
-#   development but not suited for production use.
-export DH_GOLANG_EXCLUDES := t-03-queue_persistency \
-	cmd/spf-check cmd/dovecot-auth-cli
+# - cmd/dovecot-auth-cli is an internal binary useful for
+#   development, but not suited for production use.
+# - test/util/ are internal binaries used on tests, but not part of the build.
+export DH_GOLANG_EXCLUDES := \
+	t-03-queue_persistency \
+	cmd/dovecot-auth-cli \
+	test/util/
 
 BUILDFLAGS := -ldflags \
     " -X main.version=$(DEB_VERSION) \
@@ -36,7 +39,7 @@
             chasquid-submission_tls.socket
 
 override_dh_installchangelogs:
-	dh_installchangelogs docs/relnotes.md
+	dh_installchangelogs -k docs/relnotes.md
 
 override_dh_installdocs:
 	# Some entries in docs/ are symlinks; replace them with copies so

## chasquid 1.11

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 ifndef VERSION
-    VERSION = `git describe --always --long --dirty`
+    VERSION = `git describe --always --long --dirty --tags`
 endif
 
 # https://wiki.debian.org/ReproducibleBuilds/TimestampsProposal

=== debian/changelog ===
chasquid (1.11-2ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 12:04:17 +0530

chasquid (1.11-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:25 +1200

chasquid (1.11-2) unstable; urgency=medium

  * Fix systemd config files (revert to 1.10 for Debian)
   to minimize risk of  issues when upgrading the package.

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Mon, 27 Feb 2023 18:48:59 +0530

chasquid (1.11-1) unstable; urgency=medium

  * New upstream release (1.11)
  * Minimum Go version: 1.17 -> 1.18
  * Include the newly embedded files in $DH_GOLANG_INSTALL_EXTRA
  * Update systemd config files
  * Standards-Version: 4.6.2 (no changes)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sun, 19 Feb 2023 17:13:11 +0000

## chasquid 1.12

=== debian/changelog ===
chasquid (1.12-1) unstable; urgency=medium

  * New upstream release (1.12)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Wed, 18 Oct 2023 01:52:44 +0530

## chasquid 1.13

=== debian/changelog ===
chasquid (1.13-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update 

 -- Evan Caville <evan.caville@canonical.com>  Thu, 17 Jul 2025 16:37:55 +1000

chasquid (1.13-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 25 Oct 2024 12:08:13 +1000

chasquid (1.13-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 12:29:23 +0530

chasquid (1.13-1) unstable; urgency=medium

  * New upstream release (1.13)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Tue, 26 Dec 2023 14:22:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: chasquid
 Section: mail
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Alberto Bertogli <albertito@blitiri.com.ar>
 Build-Depends: debhelper (>= 13~),
                debhelper-compat (= 13),
-               dh-golang (>= 1.17~),
+               dh-golang (>= 1.18~),
                golang-any,
                golang-blitiri-go-log-dev (>= 1.1.0),
                golang-blitiri-go-spf-dev (>= 1.3.0),
@@ -16,7 +17,7 @@
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
                golang-google-protobuf-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://blitiri.com.ar/p/chasquid
 Vcs-Browser: https://salsa.debian.org/go-team/packages/chasquid

## chasquid 1.14.0

=== debian/changelog ===
chasquid (1.14.0-2ubuntu0.24.10.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 01 Jul 2025 17:09:52 +1000

chasquid (1.14.0-2) unstable; urgency=medium

  * Install systemd units into /usr instead of / (Closes #1059516)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sun, 02 Jun 2024 12:40:39 +0100

chasquid (1.14.0-1) unstable; urgency=medium

  * New upstream release (1.14.0)
  * Standards-Version: 4.7.0 (no changes)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Fri, 17 May 2024 12:31:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Alberto Bertogli <albertito@blitiri.com.ar>
-Build-Depends: debhelper (>= 13~),
+Build-Depends: debhelper (>= 13.11.6~),
                debhelper-compat (= 13),
                dh-golang (>= 1.18~),
                golang-any,
@@ -17,7 +17,7 @@
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
                golang-google-protobuf-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://blitiri.com.ar/p/chasquid
 Vcs-Browser: https://salsa.debian.org/go-team/packages/chasquid

## chasquid 1.15.0

=== debian/changelog ===
chasquid (1.15.0-1) unstable; urgency=medium

  * New upstream release (1.15.0)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sun, 19 Jan 2025 12:09:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: chasquid
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Alberto Bertogli <albertito@blitiri.com.ar>
 Build-Depends: debhelper (>= 13.11.6~),

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
  https://blitiri.com.ar/repos/chasquid \
  refs/tags/v@ANY_VERSION@

## chasquid 1.16.0

=== Makefile ===
--- 
+++ 
@@ -55,6 +55,11 @@
 		chown -v mail:mail /var/lib/chasquid ; \
 	fi
 
+fmt:
+	go vet ./...
+	gofmt -s -w .
+	clang-format -i $(shell find . -iname '*.proto')
 
 .PHONY: chasquid test \
-	chasquid-util smtp-check mda-lmtp dovecot-auth-cli
+	chasquid-util smtp-check mda-lmtp dovecot-auth-cli \
+	fmt

=== debian/changelog ===
chasquid (1.16.0-1) unstable; urgency=medium

  * New upstream release (1.16.0)
  * Standards-Version: 4.7.2 (no changes)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sun, 07 Sep 2025 13:32:56 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
                golang-google-protobuf-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://blitiri.com.ar/p/chasquid
 Vcs-Browser: https://salsa.debian.org/go-team/packages/chasquid
